Bug 607455 - Xserver freeze, mouse pointer still works, ssh access still working.
Xserver freeze, mouse pointer still works, ssh access still working.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
6.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On: 525325
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 02:45 EDT by Wayne Sun
Modified: 2010-06-25 15:19 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 525325
Environment:
Last Closed: 2010-06-25 15:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (70.60 KB, text/plain)
2010-06-24 02:55 EDT, Wayne Sun
no flags Details
Xorg log (83.76 KB, text/plain)
2010-06-24 02:56 EDT, Wayne Sun
no flags Details
Xorg log (21.24 KB, text/plain)
2010-06-24 02:57 EDT, Wayne Sun
no flags Details

  None (edit)
Description Wayne Sun 2010-06-24 02:45:16 EDT
+++ This bug was initially created as a clone of Bug #525325 +++

Created an attachment (id=362368)
Xorg page allocation failure from dmesg, and the result of "cat /var/log/messages* | grep Xorg"

Description of problem:

Xserver freeze, keyboard is dead (not even the CAPS Lock led works anymore), but the mouse pointer is still working.
The image on the monitor is not updating. I connected via ssh from another computer, I killed firefox which was on the screen at crash time, but the screen still shows the firefox window even if it doesn't exist anymore.
chvt does not work.
Xorg process still active.
If I kill Xorg does not die, if I kill -9 Xorg, the computer hangs even more: network dead, black screen and mouse dead.

Version-Release number of selected component (if applicable):
All Xorg-drv-intel versions from F11 manifested this bug.

How reproducible:
Randomly when using the computer:

Steps to Reproduce:
1.Using the computer sometime it locks
2.
3.
  
Actual results:
Hangs.

Expected results:
Should not hang.

Additional info:

The Laptop is an Lenovo model T61 with Intel 965 mobile card.
dmesg shows some Xorg page allocation failure and some other info.
I attached to this bug report a sample from dmesg.
I also attached in the same file a "cat /var/log/messages* | grep Xorg" to see how often it happens.

--- Additional comment from i_p_a_u_l@yahoo.com on 2009-09-24 09:27:46 EDT ---

It happened again this morning, after just 30 minutes of work, and while connecting to it via ssh, I did not found any "page allocation failure" in the logs, so it may not be related.
As a side note, I realised that maybe the unresponsiveness of the machine via network after killing -9 Xorg can be attributed to NetworkManager.
If I kill the Xorg, then maybe NetworkManager drops my wireless connection.

Additional info:

[root@f11 new2]# lspci 
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)
15:00.3 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev ff)
15:00.4 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 11)
15:00.5 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 11)

--- Additional comment from mcepl@redhat.com on 2009-09-29 18:16:02 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from i_p_a_u_l@yahoo.com on 2009-09-30 14:03:42 EDT ---

Created an attachment (id=363210)
dmesg output

here is the dmesg output, I don't have any /etc/X11/xorg.conf file.

--- Additional comment from i_p_a_u_l@yahoo.com on 2009-09-30 14:04:47 EDT ---

Created an attachment (id=363211)
Xorg log file

Xorg log file

--- Additional comment from i_p_a_u_l@yahoo.com on 2009-09-30 14:06:08 EDT ---

Created an attachment (id=363212)
Xorg log file (for :1)

--- Additional comment from mcepl@redhat.com on 2009-11-05 13:38:22 EST ---

Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

--- Additional comment from bruno.matos@gmail.com on 2009-11-16 08:38:27 EST ---

Same happend to me in FC12 beta, with and without last updates.

Until now, it's working with nomodeset as as kernel option in grub.conf.

There is any files that you need from me?

Regards,
Bruno Matos

--- Additional comment from tcpip4000@fedoraproject.org on 2009-12-02 21:53:48 EST ---

Bruno, still this happening in Fedora 12 (with all the updates applied)?

--- Additional comment from bruno.matos@gmail.com on 2009-12-03 04:39:54 EST ---

(In reply to comment #8)
> Bruno, still this happening in Fedora 12 (with all the updates applied)?  

Yes, 10 times a day... Is this any kind of feature for a time to rest? :)

Regards.

--- Additional comment from tcpip4000@fedoraproject.org on 2009-12-03 07:48:11 EST ---

(In reply to comment #9)
> (In reply to comment #8)
> > Bruno, still this happening in Fedora 12 (with all the updates applied)?  
> 
> Yes, 10 times a day... Is this any kind of feature for a time to rest? :)
> 
> Regards.  

Please attach your X server config file (/etc/X11/xorg.conf), X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual uncompressed text/plain file attachments using the bugzilla file attachment link below. 

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well. 

Thanks for your help.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from bruno.matos@gmail.com on 2009-12-03 10:19:37 EST ---

Created an attachment (id=375807)
dmesg output

--- Additional comment from bruno.matos@gmail.com on 2009-12-03 10:20:07 EST ---

Created an attachment (id=375808)
Xorg log

--- Additional comment from bruno.matos@gmail.com on 2009-12-03 10:20:48 EST ---

I don't have the conf file for X11.

Regards,
thank you!

--- Additional comment from john_fitzgibbon@yahoo.com on 2009-12-11 18:15:58 EST ---

I have the same problem. XServer, screen, keyboard freeze from time to time, mouse pointer moves. Same "EQ overflowing" message in Xorg.0.log. Requires reboot.

Problem occurs with/without "nomodeset" kernel parameter.

System is FC12, clean KDE4 install, updated with latest patches, (as of 2009-12-11). Looks like I've the same chipset as Bruno, (dmesg reports Intel 830M). No /etc/X11/xorg.conf.

Let me know if you need any conf/log files, though as I say, they look similar to Bruno's.

I'm now trying the xorg.conf 'Option "AccelMethod" "EXA"/"XAA"' Device options suggested on the "Common F12 bugs" page under "Intel graphics adapters". I'll update with the outcome of those tests.

--- Additional comment from john_fitzgibbon@yahoo.com on 2009-12-14 15:04:47 EST ---

The AccelMethod option made no difference, which isn't surprising since Xorg.0.log reports:

(WW) intel(0): Option "AccelMethod" is not used

After a little googling, I notice that there appear to be a lot of disgruntled FC10-12 users experiencing this problem, so I'm surprised that the priority on this bug is low.

--- Additional comment from bdm@fenrir.org.uk on 2009-12-14 19:22:38 EST ---

I'd agree with that. I currently have F11, although I am intending to upgrade to F12 soon, my Intel graphics chipset is the 965 on an Intel DG965SS motherboard.

I've been trying to debug this using my other machine via SSH and then attaching Xorg to gdb, I have now managed to get all the debuginfo packages installed and now gdb doesn't complain about missing ones, however, when the X freeze-except-for-the-mouse-pointer occurs, gdb just sits there and shows no SIGSEGV or any other message, so a bt full is useless and returns no stack trace.

I don't see what can be happening to cause this unless it's a kernel problem. I can provoke it by running either MPlayer or opening the location dialog in Stellarium. And yet I can play videos with VLC without any problem at all.

--- Additional comment from john_fitzgibbon@yahoo.com on 2009-12-16 13:19:59 EST ---

Lots more googling -- this appears to be fallout from radical changes made to the intel driver early in 2009. At this point, it looks like the problems impact all the major distros. Interesting assessment and links here: http://distrowatch.com/weekly.php?issue=20090817

Looking at the bug reports, (https://bugs.freedesktop.org/), it seems to me that the developers are taking pot-shots at the problem(s) rather than systematically tracking down the root causes and fixing the bugs, (sorry if that's an unfair characterization -- I'm now biased based on the poor judgement shown in putting this driver out in the wild in the first place).

After sifting through the bug reports, I came to the conclusion that developers feel that certain problems may be fixed with the latest kernel, X server and drivers, (2.6.32, 1.7.1 and 2.9.1 respectively).

Since FC 12 already has X=1.7.1 and intel drivers=2.9.1, I decided to try upgrading my kernel to 2.6.32 from rawhide:

yum --disablerepo=* --enablerepo=rawhide update kernel

There also seem to have been (possible) problems with tiling and direct rendering, (supposedly fixed), so I disabled those in xorg.conf to be on the safe side, (in the "Device" Section):
       Option      "Tiling"        "False"
       Option      "DRI"           "off"

My conclusion is that the problem(s) is/are NOT fixed, (latest kernel, with and without the Tiling/DRI options). I have an impression that the system doesn't freeze as often, (but it's hard to say for sure without a proper statistical analysis, which would mean downgrading to establish a baseline), but it definitely still freezes from time to time.

I'm certainly open to testing other options/fixes if there are any suggestions, but I'm reaching the point where I'll soon have to move back to a stable release -- this is one of my work machines, so there comes a point where I can no longer justify the time.

--- Additional comment from awyatt@gmail.com on 2010-03-04 08:46:52 EST ---

I have the same issue.

Currently running Fedora 12 x86_64 on a Lenovo T400.

Specs:
Intel(R) Core(TM)2 Duo CPU     T9400  @ 2.53GHz
4019064 RAM

PCI:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)

The issue that I see is the system will hang randomly, when it hangs the cursor still moves but it will move about 1" then pause, then move 1" then pause.  Caps lock does not work, control-alt-f1 does not work.  If I wait 60 seconds or so the system responds again for 3-5 seconds then another hang.

If I wait another minute it becomes responsive again.

Kernel:  2.6.31.12-174.2.22.fc12.x86_64
Xserver: xorg-x11-server-Xorg-1.7.5-1.fc12.x86_64

I don't have an xorg.conf, however I will attach dmesg and Xorg.0.log.  I thought about stracing xorg, but the system doesn't respond when the condition occurs so I don't know that I can capture anything.  Is there a recommended method for capturing debug output from xorg?

--- Additional comment from awyatt@gmail.com on 2010-03-04 08:47:22 EST ---

Created an attachment (id=397813)
Xorg log

--- Additional comment from awyatt@gmail.com on 2010-03-04 08:47:49 EST ---

Created an attachment (id=397814)
Dmesg output

--- Additional comment from bruno.matos@gmail.com on 2010-03-29 06:57:39 EDT ---

It doesn't freezes anymore... it goes black! Please fix this bug and/or say what can I do to help. It's driving me nuts!!! :)

--- Additional comment from geiser.matt@gmail.com on 2010-04-30 09:33:46 EDT ---

I disagree with the "low" priority.  This bug makes my PCs annoying to use for gaming when lock ups occur, and completely unreliable for email and open office work since the random lockups cause lost work.  I suggest it is at least "medium" priority.

--- Additional comment from bdm@fenrir.org.uk on 2010-04-30 10:56:27 EDT ---

I have found that the lockup problem has disappeared on Fedora 12, I used to be able to trigger it using MPlayer but at some point the combination of updated kernel and X server and Intel driver has cured it for me. The fix has been 100% as well, not total as it used to be and sporadic as it became at some point during the update cycle.

Are those suffering sure that they have updated all of these packages?

I currently have:

kernel-2.6.32.11-99.fc12.x86_64
xorg-x11-drv-intel-2.9.1-1.fc12.x86_64
xorg-x11-server-Xorg-1.7.6-3.fc12.x86_64

I can't remember if these are now in updates or whether I got them from updates-testing.

--- Additional comment from bruno.matos@gmail.com on 2010-04-30 11:09:46 EDT ---

I have the same versions in that packages (i386 version) and I still have problems with this.

--- Additional comment from geiser.matt@gmail.com on 2010-04-30 12:20:56 EDT ---

I just updated to these versions - also i386 - and I also still have the problem.

--- Additional comment from john_fitzgibbon@yahoo.com on 2010-05-01 00:35:45 EDT ---

Brian, when I last looked at this, a lot of the potential fixes seemed to target the 965 chipset, (yours), so it's not all that surprising that things work for you. But other fairly common chipsets, like the 830M, are still not working.

--- Additional comment from bdm@fenrir.org.uk on 2010-05-01 03:10:19 EDT ---

OK, that's a fair comment, I had not delved too deeply into the details so I wasn't aware of that.

--- Additional comment from felix@derklecks.de on 2010-05-20 14:45:07 EDT ---

I guess bug #586373 might just be a little related, mentioning it here for others to find. My display just goes black on plugging monitors while allowing me to move the mouse cursor. Changing to tty2 is possible and killing Xorg allows me to relogin. I am on F13...
Comment 1 Wayne Sun 2010-06-24 02:55:46 EDT
Created attachment 426463 [details]
dmesg output
Comment 2 Wayne Sun 2010-06-24 02:56:30 EDT
Created attachment 426465 [details]
Xorg log
Comment 3 Wayne Sun 2010-06-24 02:57:05 EDT
Created attachment 426466 [details]
Xorg log
Comment 5 RHEL Product and Program Management 2010-06-24 03:19:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Adam Jackson 2010-06-24 14:56:06 EDT
2.6.32-25?  You gotta be kidding.  Try with -37 or later.
Comment 7 Bruno Matos 2010-06-24 15:10:57 EDT
Now the F2-F6 terminals still work, you don't need to have another computer to reboot, so its more acceptable... :D or not! :)
Comment 8 Wayne Sun 2010-06-25 02:26:46 EDT
Yeah, i've updated the kernel and xorg-x11-*, works fine now.
Comment 9 Matěj Cepl 2010-06-25 15:19:29 EDT
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.